<?xml version="1.0" encoding="utf-8"?>
<androidx.swiperefreshlayout.widget.SwipeRefreshLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/background_color"
    tools:context=".dashboard.DashboardFragment">


    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingHorizontal="@dimen/dashboard_fragment_padding_horizontal"
            android:paddingVertical="@dimen/dashboard_fragment_padding_vertical">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:padding="15dp"
                android:visibility="visible"
                android:background="@drawable/dashboard_model_background"
                >
                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/titleDev"
                    style="@style/TextBig"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/device"
                    tools:ignore="RelativeOverlap" />
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="20dp"
                    android:layout_height="wrap_content">
                    <ImageView
                        android:layout_width="150dp"
                        android:scaleType="fitXY"
                        android:layout_height="50dp"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/phone_Name"
                        style="@style/TextBig"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="OPPO A53 5G"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="50dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/textTitle1"
                        android:layout_width="150dp"
                        android:text="@string/model"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/textDev1"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/textTitle2"
                        android:layout_width="150dp"
                        android:text="@string/product"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/textDev2"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/textTitle3"
                        android:layout_width="150dp"
                        android:text="@string/device"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/textDev3"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/textTitle4"
                        android:layout_width="150dp"
                        android:text="@string/motherboard"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/textDev4"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/textTitle5"
                        android:layout_width="150dp"
                        android:text="@string/manufacturer"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/textDev5"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/textTitle6"
                        android:layout_width="150dp"
                        android:text="@string/baseband"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/textDev6"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:layout_marginTop="15dp"
                android:padding="15dp"
                android:visibility="visible"
                android:background="@drawable/dashboard_model_background"
                >
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/titleSystem"
                        style="@style/TextBig"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/operating_system"
                        tools:ignore="RelativeOverlap" />
                    <View
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:layout_height="1dp"/>
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/module_oval"
                        android:layout_gravity="center_vertical"
                        />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="20dp"
                    android:layout_height="wrap_content">
                    <ImageView
                        android:layout_width="90dp"
                        android:scaleType="fitXY"
                        android:layout_height="90dp"
                        android:src="@mipmap/ic_launcher"
                        android:layout_marginEnd="60dp"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/androidName"
                        style="@style/TextBig"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Android 12(Snow Cone)"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="50dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemTitle1"
                        android:layout_width="150dp"
                        android:text="@string/android_version"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemDev1"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemTitle2"
                        android:layout_width="150dp"
                        android:text="@string/api"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemDev2"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemTitle3"
                        android:layout_width="150dp"
                        android:text="@string/security_patch_level"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemDev3"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemTitle4"
                        android:layout_width="150dp"
                        android:text="@string/version_number"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemDev4"
                        style="@style/TextContent"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemTitle5"
                        android:layout_width="150dp"
                        android:text="@string/fingerprint"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemDev5"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemTitle6"
                        android:layout_width="150dp"
                        android:text="@string/build_time"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemDev6"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemTitle7"
                        android:layout_width="150dp"
                        android:text="@string/initial_release"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemDev7"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemTitle8"
                        android:layout_width="150dp"
                        android:text="@string/architecture"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemDev8"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemTitle9"
                        android:layout_width="150dp"
                        android:text="@string/instruction_set_architecture"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemDev9"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemTitle10"
                        android:layout_width="150dp"
                        android:text="@string/treble"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemDev10"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemTitle11"
                        android:layout_width="150dp"
                        android:text="@string/root_access"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemDev11"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemTitle12"
                        android:layout_width="150dp"
                        android:text="@string/google_play_services"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemDev12"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemTitle13"
                        android:layout_width="150dp"
                        android:text="Toybox"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemDev13"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemTitle14"
                        android:layout_width="150dp"
                        android:text="Java VM"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemDev14"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemTitle15"
                        android:layout_width="150dp"
                        android:text="@string/ssl_version"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemDev15"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemTitle16"
                        android:layout_width="150dp"
                        android:text="@string/language"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemDev16"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemTitle17"
                        android:layout_width="150dp"
                        android:text="@string/time_zone"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemDev17"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemTitle18"
                        android:layout_width="150dp"
                        android:text="@string/usb_debugging"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemDev18"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="vertical"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemTitle19"
                        android:layout_width="150dp"
                        android:text="@string/kernel"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/systemDev19"
                        style="@style/TextContentRight"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:padding="15dp"
                android:layout_marginTop="15dp"
                android:visibility="visible"
                android:background="@drawable/dashboard_model_background"
                >
                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/titleId"
                    style="@style/TextBig"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/identifier"
                    tools:ignore="RelativeOverlap" />
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/idTitle1"
                        android:layout_width="150dp"
                        android:text="@string/google_services_framework_id"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/idDev1"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                    <View
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:layout_height="1dp"/>
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/module_oval"
                        android:layout_gravity="center_vertical"
                        />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/idTitle2"
                        android:layout_width="150dp"
                        android:text="@string/device_id"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/idDev2"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                    <View
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:layout_height="1dp"/>
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/module_oval"
                        android:layout_gravity="center_vertical"
                        />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/idTitle3"
                        android:layout_width="150dp"
                        android:text="Google Play Services version"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/idDev3"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:padding="15dp"
                android:layout_marginTop="15dp"
                android:visibility="visible"
                android:background="@drawable/dashboard_model_background"
                >
                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/titleD"
                    style="@style/TextBig"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/drm"
                    tools:ignore="RelativeOverlap" />
                <com.google.android.material.textview.MaterialTextView
                    style="@style/TextModuleTitle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="30dp"
                    android:text="@string/clearkey_cdm"
                    tools:ignore="RelativeOverlap" />
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dTitle1"
                        android:layout_width="150dp"
                        android:text="@string/vendor"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent" />
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dDev1"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dTitle2"
                        android:layout_width="150dp"
                        android:text="@string/version"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent" />
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dDev2"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <com.google.android.material.textview.MaterialTextView
                    style="@style/TextModuleTitle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="30dp"
                    android:text="@string/widevine"
                    tools:ignore="RelativeOverlap" />
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dTitle4"
                        android:layout_width="150dp"
                        android:text="@string/vendor"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dDev4"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dTitle5"
                        android:layout_width="150dp"
                        android:text="@string/version"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dDev5"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dTitle6"
                        android:layout_width="150dp"
                        android:text="@string/algorithm"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dDev6"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dTitle3"
                        android:layout_width="150dp"
                        android:text="@string/device_id"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dDev7"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dTitle8"
                        android:layout_width="150dp"
                        android:text="@string/security_level"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dDev8"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_marginTop="15dp"
                    android:layout_height="wrap_content">
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dTitle9"
                        android:layout_width="150dp"
                        android:text="@string/highest_hdcp_level"
                        android:textStyle="bold"
                        android:layout_height="wrap_content"
                        style="@style/TextContent"
                        android:src="@mipmap/ic_launcher"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/dDev9"
                        style="@style/TextContentRight"
                        android:layout_marginStart="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        android:layout_gravity="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</androidx.swiperefreshlayout.widget.SwipeRefreshLayout>